Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class ByteArrayBuffer.CaseInsensitive

    java.lang.Object
      org.mortbay.io.AbstractBuffer
          org.mortbay.io.ByteArrayBuffer
              org.mortbay.io.ByteArrayBuffer.CaseInsensitive

All Implemented Interfaces:
  Cloneable, Buffer, Buffer.CaseInsensitve

Direct Known Subclasses:
  BufferCache.CachedBuffer

Enclosing class:
  ByteArrayBuffer

    public static class ByteArrayBuffer.CaseInsensitive

extends ByteArrayBuffer
implements Buffer.CaseInsensitve

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.ByteArrayBuffer
`ByteArrayBuffer.CaseInsensitive`

Nested classes/interfaces inherited from interface org.mortbay.io.Buffer
`Buffer.CaseInsensitve`

Field Summary

Fields inherited from class org.mortbay.io.AbstractBuffer
`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _put, _string, _volatile`

Fields inherited from interface org.mortbay.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Constructor Summary
`ByteArrayBuffer.CaseInsensitive(byte[] b, int o, int l, int rw)`
`ByteArrayBuffer.CaseInsensitive(String s)`

Method Summary

Methods inherited from class org.mortbay.io.ByteArrayBuffer
`array, capacity, get, peek, peek, poke, readFrom, wrap, wrap, writeTo`

Methods inherited from class org.mortbay.io.AbstractBuffer
`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, compact, duplicate, equals, equalsIgnoreCase, get, get, getIndex, hasContent, hashCode, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, poke, poke, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDebugString, toDetailString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayBuffer.CaseInsensitive

    public ByteArrayBuffer.CaseInsensitive(String s)

### ByteArrayBuffer.CaseInsensitive

    public ByteArrayBuffer.CaseInsensitive(byte[] b,
                                           int o,
                                           int l,
                                           int rw)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.